<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script>
            
            // array unidimensional (vector)
            let listado = [444, 24, 3333, 4, 5];

            // mostrar el array
            console.log(listado);

            // longitud del array
            console.log(listado.length);

            // leer primer elemento
            console.log(listado[0]);

            // leer ultimo elemento
            console.log(listado[4]);

            // poner un elemento nuevo, introduzco 40 en la posicion 5, elemento 6
            listado[5]=40;

            // para poder definir un array de longitud dada
            let listado2=new Array(100);

            // array con textos
            let notas=["suspenso","aprobado"];

            let alumno=["ramon","abramo","47"];

            // array asociativos

            let alumnoJSON={
                "nombre": "ramon",
                "apellidos": "abramo",
                "edad": "47"
            }

            console.log(alumno);
            console.log(alumnoJSON);

            // leer la edad 
            console.log(alumno[2]);
            console.log(alumnoJSON['edad']);
            console.log(alumnoJSON.edad);







            
            let listado2 = new Array(1,2,3,4,5);
            
            console.log(listado);
            console.log(listado2);
            
            let a = listado[2];
            console.log(a);
            
            listado2[4] = 500;
            console.log(listado2);
            
            listado3 = ['hola', 123, false, listado];
            
            console.log(listado3);
            
        </script>
    </body>
</html>
        
